package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesSpeParam;
import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesWorkOrderExt;

import java.util.List;


/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface ISpeParamService {


    /**
     * 新增
     *
     * @param speParam
     * @return
     */
    MesSpeParam insert(MesSpeParam speParam);

    /**
     * 修改
     *
     * @param speParam
     * @return
     */
    void update(MesSpeParam speParam);

    /**
     * 查询
     *
     * @param speParam
     * @return
     */
    List<MesSpeParam> queryList(MesSpeParam speParam);

    List<String> queryCell(String workCenterCode, String organizeCode);

    List<MesWorkOrderExt> queryWorkOrder(String workCenterCode, String organizeCode);

}
